import re
IS_NUMERIC = "^[-+]?\\d+(\\.\\d+)?$"
PEOPLE = 5

def get_age():
    inp = input("Enter an age: ")
    while not re.match(IS_NUMERIC, inp) or int(inp) <= 0:
        print("Error: Invalid age!")
        inp = input("Enter a positive number: ")
    return int(inp)

def find_max(a):
    maximum = a[0]
    max_i = 0
    for i in range(1, PEOPLE):
        if a[i] > maximum:
            maximum = a[i]
            max_i = i
    return max_i

#Main code starts here
first_names = [None] * PEOPLE
last_names = [None] * PEOPLE
ages = [None] * PEOPLE

for i in range(PEOPLE):
    first_names[i] = input("Enter first name of person No" + str(i + 1) + ": ")
    last_names[i] = input("Enter last name of person No" + str(i + 1) + ": ")
    ages[i] = get_age()

index_of_max = find_max(ages)

print("The oldest person is:", first_names[index_of_max], last_names[index_of_max])
print("He or she is", ages[index_of_max], "years old!")
